import Ember from 'ember';

var IndexRoute = Ember.Route.extend({

  // Query params are sort, order, filter, and filterValue
  // sync with the IndexController
  queryParams: {
    sort: {
      refreshModel: true
    },
    order: {
      refreshModel: true
    },
    filter: {
      refreshModel: true
    },
    filterValue: {
      refreshModel: true
    }
  },
  
  model: function(params) {
    return this.store.find('book', params);
  }
});


export default IndexRoute;
